'use strict'
const fs = require('fs')
const path = require('path')
Object.defineProperty(exports, "__esModule", { value: true });
const LogType =  {
    DEBUG: 'DEBUG',
    INFO: 'INFO',
    ERROR: 'ERROR',
}
const timeUTC = (function () {
    return new Date().toString()
})()
function debug (...args) {
    console.log(`\x1b[0m[\x1b[35m${LogType.DEBUG}\x1b[0m] ${timeUTC}`, ...args)
}
function err (...args) {
    console.log(`\x1b[0m[\x1b[31m${LogType.ERROR}\x1b[0m] ${timeUTC}`, ...args)
}
function info(...args) {
    console.log(`\x1b[0m[\x1b[36m${LogType.INFO}\x1b[0m] ${timeUTC}`, ...args)
}

function clean() {
    fs.truncate(path.join(__dirname, 'debug.log'), function(){log_stdout('delete_log_debug')})
}
exports.info = info
exports.debug = debug
exports.err = err
exports.clean = clean